%{?nodejs_find_provides_and_requires}

%global packagename vinyl
%global enable_tests 1

Name:		nodejs-vinyl
Version:	1.1.1
Release:	3%{?dist}
Summary:	A virtual file format

License:	MIT
URL:		https://github.com/gulpjs/vinyl.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(clone-stats)
BuildRequires:	npm(clone)
BuildRequires:	npm(replace-ext)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(event-stream)
BuildRequires:	npm(should)
%endif

%description
A virtual file format


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-3
- Relax version of npm(replace-ext)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Feb 21 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
